Bug 976725 - Western Digital Caviar Green do not spin down
Western Digital Caviar Green do not spin down
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: tuned (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jaroslav Škarvada
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-21 06:02 EDT by Lorenzo Dalrio
Modified: 2014-11-10 01:20 EST (History)
5 users (show)

See Also:
Fixed In Version: tuned-2.4.1-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-11-06 21:39:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch that splits hdparm -B and -S command execution (951 bytes, patch)
2013-06-21 06:06 EDT, Lorenzo Dalrio
no flags Details | Diff

  None (edit)
Description Lorenzo Dalrio 2013-06-21 06:02:49 EDT
Description of problem: I have four 2Tb WD Caviar Green hard drives (WDC WD20EARS-00MVWB0) in my Fedora 18 HTPC/home server in software raid5. I use tuned powersave profile. The raid partition is accessed only when i play movies, so 90% of time hard drives are idle (i have a separate disk for OS and user home). These WD caviar green are not spin down anymore while some version ago this used to work. I do not know from which version it stopped working.
The problem seems to be the -B hdparm switch that is not supported by this disk model (smartctl reports: "APM feature is:   Unavailable").


Version-Release number of selected component (if applicable): tuned-2.2.2-1.fc18.noarch


How reproducible: Activate powersave profile in a system with WD Caviar Green drives.


Steps to Reproduce:
1. Activate powersave profile
2. Wait tuned data collection
3.

Actual results: WD drives do not spin down, no error is reported in normal use


Expected results: WD drives spin down after some idle minutes


Additional info: running tuned -D shows this disk related errors:

2013-06-21 11:06:44,047 DEBUG    tuned.plugins.plugin_disk: tuning level changed to 3 (power 165, spindown 210)
2013-06-21 11:06:44,047 DEBUG    tuned.utils.commands: Executing ['hdparm', '-S210', '-B165', u'/dev/sdd'].
2013-06-21 11:06:44,063 ERROR    tuned.utils.commands: Executing hdparm error:  HDIO_DRIVE_CMD failed: Input/output error
2013-06-21 11:06:44,063 DEBUG    tuned.plugins.plugin_disk: sdd load: read 0.00, write 0.00
2013-06-21 11:06:44,064 DEBUG    tuned.plugins.plugin_disk: sdd idle: read 8, write 8, level 3
2013-06-21 11:06:44,064 DEBUG    tuned.plugins.plugin_disk: tuning level changed to 3 (power 165, spindown 210)
2013-06-21 11:06:44,065 DEBUG    tuned.utils.commands: Executing ['hdparm', '-S210', '-B165', u'/dev/sde'].
2013-06-21 11:06:44,075 ERROR    tuned.utils.commands: Executing hdparm error:  HDIO_DRIVE_CMD failed: Input/output error
2013-06-21 11:06:44,076 DEBUG    tuned.plugins.plugin_disk: sde load: read 0.00, write 0.00
2013-06-21 11:06:44,076 DEBUG    tuned.plugins.plugin_disk: sde idle: read 8, write 8, level 3
2013-06-21 11:06:44,077 DEBUG    tuned.plugins.plugin_disk: tuning level changed to 3 (power 165, spindown 210)
2013-06-21 11:06:44,077 DEBUG    tuned.utils.commands: Executing ['hdparm', '-S210', '-B165', u'/dev/sda'].
2013-06-21 11:06:44,092 ERROR    tuned.utils.commands: Executing hdparm error:  HDIO_DRIVE_CMD failed: Input/output error
2013-06-21 11:06:44,093 DEBUG    tuned.plugins.plugin_disk: sda load: read 0.00, write 0.00
2013-06-21 11:06:44,093 DEBUG    tuned.plugins.plugin_disk: sda idle: read 8, write 8, level 3
2013-06-21 11:06:44,094 DEBUG    tuned.plugins.plugin_disk: tuning level changed to 3 (power 165, spindown 210)
2013-06-21 11:06:44,094 DEBUG    tuned.utils.commands: Executing ['hdparm', '-S210', '-B165', u'/dev/sdb'].
2013-06-21 11:06:44,109 ERROR    tuned.utils.commands: Executing hdparm error:  HDIO_DRIVE_CMD failed: Input/output error
2013-06-21 11:06:44,110 DEBUG    tuned.plugins.plugin_disk: sdb load: read 0.00, write 0.00
2013-06-21 11:06:44,110 DEBUG    tuned.plugins.plugin_disk: sdb idle: read 8, write 8, level 3
2013-06-21 11:06:44,110 DEBUG    tuned.plugins.plugin_disk: tuning level changed to 3 (power 165, spindown 210)
2013-06-21 11:06:44,111 DEBUG    tuned.utils.commands: Executing ['hdparm', '-S210', '-B165', u'/dev/sdc'].
2013-06-21 11:06:44,126 ERROR    tuned.utils.commands: Executing hdparm error:  HDIO_DRIVE_CMD failed: Input/output error
2013-06-21 11:06:44,127 DEBUG    tuned.plugins.plugin_disk: sdc load: read 0.00, write 0.00
2013-06-21 11:06:44,127 DEBUG    tuned.plugins.plugin_disk: sdc idle: read 8, write 8, level 3
Comment 1 Lorenzo Dalrio 2013-06-21 06:06:28 EDT
Created attachment 763734 [details]
Patch that splits hdparm -B and -S command execution

By splitting the hdparm execution the spindown setting will be applied while the unsupported APM will be ignored.
Comment 2 Jaroslav Škarvada 2013-06-21 06:12:02 EDT
Thanks for the report. I will probably not use command split. I will probably add the drive capabilities check to the init and later use only the supported commands.
Comment 3 Lorenzo Dalrio 2013-06-21 07:15:10 EDT
(In reply to Jaroslav Škarvada from comment #2)
> Thanks for the report. I will probably not use command split. I will
> probably add the drive capabilities check to the init and later use only the
> supported commands.

Thank you Jaroslav! :)
Comment 4 Jaroslav Škarvada 2013-11-06 12:07:53 EST
Moving to rawhide. I will try to address this in tuned-2.3.1.
Comment 5 Jaroslav Škarvada 2014-10-01 17:19:05 EDT
Ou, missed 2.4.0 update, sorry, tagging for 2.4.1.
Comment 6 Fedora Update System 2014-10-16 19:33:47 EDT
tuned-2.4.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-12032/tuned-2.4.1-1.fc21
Comment 7 Fedora Update System 2014-10-16 19:35:18 EDT
tuned-2.4.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-11985/tuned-2.4.1-1.fc20
Comment 8 Fedora Update System 2014-10-17 15:44:57 EDT
Package tuned-2.4.1-1.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tuned-2.4.1-1.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-12032/tuned-2.4.1-1.fc21
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2014-11-06 21:39:19 EST
tuned-2.4.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2014-11-10 01:20:17 EST
tuned-2.4.1-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.